

//typedef struct {
//  real_T ObjectInfo[7];                /* '<Root>/ObjectInfo' */
//  real_T ArmInfo[13];                  /* '<Root>/ArmInfo' */
//  real_T OrderInfo;                    /* '<Root>/OrderInfo' */
//} ExternalInputs_MiddleRobotCtrl_;


/* External inputs (root inport signals with auto storage) */
//ExternalInputs_MiddleRobotCtrl_ MiddleRobotCtrl_mat_U;

///////////////////////////////////////////////////////////////////
  /*!
   * 片付けるべき物体のID、位置、姿勢を入力
   */
//  InPort<TimedDoubleSeq> m_Obj_inIn;
//  TimedDoubleSeq m_Arm_in;

  /*!
   * ロボットアームの現在の手先位置、姿勢、コマンド達成
   * フラグ、エラー情報
   */
//  InPort<TimedDoubleSeq> m_Arm_inIn;
//  TimedDoubleSeq m_Mobile_in;
  /*!
   * 移動ロボットの現在位置、姿勢、コマンド達成フラグ、
   * エラー情報
   */
//  InPort<TimedDoubleSeq> m_Mobile_inIn;
  /*!
   * 片付け開始入力
   */
//  InPort<TimedDouble> m_Order_inIn;
///////////////////////////////////////////////////////////////////

void MiddleRobotCtrl_IN(void){
  int i;
  if( m_Obj_inIn.isNew()){
     m_Obj_inIn.read();
     for(i=0;i<7;i++){
       MiddleRobotCtrl_mat_U.ObjectInfo[i] = m_Obj_in.data[i];
     }
  }
  if( m_Arm_inIn.isNew()){
     m_Arm_inIn.read();
     for(i=0;i<6;i++){
       MiddleRobotCtrl_mat_U.ArmInfo[i] = m_Arm_in.data[i];
     }
  }
  if( m_Order_inIn.isNew()){
     m_Arm_inIn.read();
     MiddleRobotCtrl_mat_U.OrderInfo = m_Order_in.data;
  }

}
